Subject: Re: Editing the root commit

From: Chris Webb <[email-masked]>
Date: Wed, 20 Jun 2012 20:39:23 +0100

Jeff King <[email-masked]> writes:

> But if the first commit is deleted (or reordered), then it is not
> appropriate to detach to the root; we must detach to the first picked
> commit, which we can only do after we see the final instruction sheet.

It's worse than that isn't it? If you have

  A -- B -- C

and the sheet says drop A, pick B, pick C, you can't detach to B. You want
the commit B as a root (i.e. with no parent), not the commit B with parent
A. You need to have the patch from A to B replayed as the first commit on an
empty branch (only without the branch).

Cheers,

Chris.